datablock AudioProfile(DoomGuyJumpSound)
{
   fileName = "./Sounds/Jump.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(DoomGuyPainSound)
{
   fileName = "./Sounds/Pain.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(DoomGuyDeathSound)
{
   fileName = "./Sounds/Death.wav";
   description = AudioClose3d;
   preload = true;
};


datablock TSShapeConstructor(DoomGuyDts)
{
	baseShape  = "./Shape/Doom Guy.dts";
	sequence0  = "./Shape/xyz_Root.dsq root";

	sequence1  = "./Shape/xyz_Run.dsq run";
	sequence2  = "./Shape/xyz_Run.dsq walk";
	sequence3  = "./Shape/xyz_Backwards.dsq back";
	sequence4  = "./Shape/xyz_Strafe.dsq side";

	sequence5  = "./Shape/xyz_Crouch.dsq crouch";
	sequence6  = "./Shape/xyz_CrouchRun.dsq crouchRun";
	sequence7  = "./Shape/xyz_CrouchBackwards.dsq crouchBack";
	sequence8  = "./Shape/xyz_CrouchStrafe.dsq crouchSide";

	sequence9  = "./Shape/xyz_Look.dsq look";
	sequence10 = "./Shape/xyz_HeadSide.dsq headside";
	sequence11 = "./Shape/xyz_Root.dsq headUp";

	sequence12 = "./Shape/xyz_Jump.dsq jump";
	sequence13 = "./Shape/xyz_Jump.dsq standjump";
	sequence14 = "./Shape/xyz_Fall.dsq fall";
	sequence15 = "./Shape/xyz_Root.dsq land";

	sequence16 = "./Shape/xyz_armAttack.dsq armAttack";
	sequence17 = "./Shape/xyz_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./Shape/xyz_armReadyRight.dsq armReadyRight";
	sequence19 = "./Shape/xyz_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./Shape/xyz_SpearReady.dsq spearready";  
	sequence21 = "./Shape/xyz_SpearThrow.dsq spearThrow";

	sequence22 = "./Shape/xyz_Talk.dsq talk";  

	sequence23 = "./Shape/xyz_Death.dsq death1"; 
	
	sequence24 = "./Shape/xyz_ShiftUp.dsq shiftUp";
	sequence25 = "./Shape/xyz_ShiftDown.dsq shiftDown";
	sequence26 = "./Shape/xyz_ShiftAway.dsq shiftAway";
	sequence27 = "./Shape/xyz_ShiftTo.dsq shiftTo";
	sequence28 = "./Shape/xyz_ShiftLeft.dsq shiftLeft";
	sequence29 = "./Shape/xyz_ShiftRight.dsq shiftRight";
	sequence30 = "./Shape/xyz_RotateCW.dsq rotCW";
	sequence31 = "./Shape/xyz_RotateCCW.dsq rotCCW";

	sequence32 = "./Shape/xyz_Undo.dsq undo";
	sequence33 = "./Shape/xyz_Plant.dsq plant";

	sequence34 = "./Shape/xyz_Sit.dsq sit";

	sequence35 = "./Shape/xyz_wrench.dsq wrench";

   sequence36 = "./Shape/xyz_Activate.dsq activate";
   sequence37 = "./Shape/xyz_Activate2.dsq activate2";

   sequence38 = "./Shape/xyz_leftRecoil.dsq leftrecoil";
};

datablock PlayerData(PlayerDOOMArmor : PlayerStandardArmor)
{
   shapeFile = "./Shape/Doom Guy.dts";
   runForce = 100 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 15;
   maxBackwardSpeed = 15;
   maxSideSpeed = 15;
   maxDamage = 400;
	
   maxForwardCrouchSpeed = 7;
   maxBackwardCrouchSpeed = 7;
   maxSideCrouchSpeed = 7;

    jumpForce = 9 * 90; //8.3 * 90;
    jumpEnergyDrain = 0;
    minJumpEnergy = 0;
    jumpDelay = 0;
	minImpactSpeed = 250;
	groundImpactMinSpeed    = 10.0;
    groundImpactShakeFreq   = "4.0 4.0 4.0";
    groundImpactShakeAmp    = "1.0 1.0 1.0";
    groundImpactShakeDuration = 0.8;
    groundImpactShakeFalloff = 10.0;
	
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

	uiName = "DOOM Guy";
	showEnergyBar = false;

   runSurfaceAngle  = 55;
   jumpSurfaceAngle = 55;
   
   useCustomPainEffects = true;
   painSound     = DoomGuyPainSound;
   JumpSound	= DoomGuyJumpSound;
   deathSound    = DoomGuyDeathSound;
};

function player::fixAppearanceDoomGuy(%pl,%cl)
{
	%pl.setNodeColor("Head", %cl.headColor);
	%pl.setNodeColor("DoomHelmet", %cl.hatColor);
	%pl.setNodeColor("GlassVisor", getWords(%cl.accentColor, 0, 2) SPC 1.0);
	
	%pl.setNodeColor("Torso", %cl.chestColor);
	%pl.setNodeColor("Pants", %cl.hipColor);
	
	%pl.setNodeColor("RShoulder", %cl.secondPackColor);
	%pl.setNodeColor("LShoulder", %cl.secondPackColor);

	%pl.setNodeColor("RArm", %cl.RArmColor);
	%pl.setNodeColor("LArm", %cl.LArmColor);
	
	%pl.setNodeColor("RHand", %cl.rhandColor);
	%pl.setNodeColor("LHand", %cl.lhandColor);
	
	%pl.setNodeColor("RShoe", %cl.RLegColor);
	%pl.setNodeColor("LShoe", %cl.LLegColor);
}

package playerDoomGuy
{
	function gameConnection::applyBodyColors(%cl,%o) 
	{
		parent::applyBodyColors(%cl,%o);
		if(isObject(%pl = %cl.player))
			if((%pl.getDatablock()).shapeFile $= "Add-Ons/Player_DoomGuy/Shape/Doom Guy.dts")
			{
				%pl.fixAppearanceDoomGuy(%cl);
			}
	}
};
activatePackage(playerDoomGuy);